/*
  Примеры для книги Белова Александра
  Программа 4.2.   Глава 4
  Простейшая программа с использованием прерывания

 Включение и выключение светодиода (LED), подключенного к цифровому контакту 8, 
 при нажатии на кнопку, подключенную к контакту 2.

 Схема:
 * Последовательное соединение светодиода и резистора 270 Ом подключается между выводом 8 и контактом +5 В
 * Кнопка подключается между контактом 2 и общим  проводом
 */

// Определение констант:
const int buttonPin = 2;     // номер вывода с кнопкой
const int ledPin =  8;       // номер вывода со светодиодом

 volatile int buttonState = 0;         // переменная для чтения состояния кнопки

void setup() 
{
  // настроить вывод светодиода на выход:
  pinMode(ledPin, OUTPUT);
  // настроить вывод кнопки на вход:
  pinMode(buttonPin, INPUT_PULLUP);
  digitalWrite(ledPin, HIGH);
  // прикрепить прерывание к вектору ISR
  attachInterrupt(digitalPinToInterrupt(buttonPin), pin_ISR, CHANGE);
}

// Основной цикл программы
void loop() 
{
  // Здесь ничего нет!
}

// Обработчик прерывания
void pin_ISR() 
{
  //buttonState = digitalRead(buttonPin);
  //digitalWrite(ledPin, buttonState);
  digitalWrite(ledPin, digitalRead(buttonPin));
}


