/*
  Примеры для книги Белова Александра
  Программа 7.1    Глава 7
  Мигающий светодиод
  
 Светодиод (LED) подключен к цифровому пину 8, 
 при каждом нажатии на кнопку, подключенную к контакту 2 светодиод начинает мигать.
 апри отпускании кнопки светодиод прекращает мигать и потухает

 Схема:
 * Последовательное соединение светодиода и резистора 270 Ом подключается между выводом 8 и контактом +5 В
 * Кнопка подключается между контактом 2 и общим  проводом
 */

// Постоянные константы. В данной программе
// константы определяют номера используемых контактов:
const int buttonPin = 2;     // номер контакта для подключения кнопки
const int ledPin = 8;        // номер контакта для подключения светодиода
const int DelayBlink = 200;   // Время задержки мигания

void setup() {
  // инициализируем контакт светодиода на вывод:
  pinMode(ledPin, OUTPUT);
  // инициализируем контакт кнопки на ввод:
  pinMode(buttonPin, INPUT_PULLUP);
}

void loop() {
  // Если кнопка нажата:
  if (digitalRead(buttonPin)==LOW) {
    digitalWrite(ledPin, LOW);  // Зажигаем светодиод
    delay (DelayBlink);          // Задержка
    digitalWrite(ledPin, HIGH); // Тушим светодиод
    delay (DelayBlink);          // Задержка
  }
  else digitalWrite(ledPin, HIGH); // Тушим светодиод
}
