/*
  Примеры для книги Белова Александра
  Программа 13.1.    Глава 13
  Простейшая программа аналогового ввода и вывода

 Плавное изменение яркости светодиода (LED), подключенного к цифровому контакту 9, 
 при повороте вала переменного резистора, движок которого подключен к контакту A0.

 Схема:
 * Последовательное соединение светодиода и резистора 270 Ом подключается между выводом 9 и контактом +5 В
 * Переменный резистор 10 кОм подключается как потенциометр. 
 * Крайние выводы на +5В и общий провод
 * Движок потенциометра на аналоговый вход A0.
 */

const int analogPin = A0;   // Номер аналогового входа
const int ledPin = 9;       // Номер контакта для подключения светодиода

// изменяемые переменные:
int analogVol;         // Переменная для хранения текущего аналогового уровня

void setup() {
}

void loop() {
  // читаем значение сигнала с аналогового входа:
  analogVol = analogRead(analogPin);
  // Выводим аналоговое значение на выход светодиода
  analogWrite(ledPin, analogVol/4);
}
