/*
  Примеры для книги Белова Александра
  Программа 14.1.    Глава 14
  Передача данных на компьютер по USB каналу

При нажати на любую из десяти кнопок устройство 
передает по USB каналу номер нажатой кнопки

 Схема:
 * Десять цифровых кнопок подключаются к пинам с 2 по 11,
 * Еще одна кнопка (Enter) подключается к контакту 12
 */
// Константы
const int nPinMin = 2;
const int nPinMax = 12;

// Переменные:
byte NumberPin;  // Номер контакта текущей кнопки

void setup() {
  // инициализируем пины кнопок на ввод:
  for (NumberPin=nPinMin; NumberPin<=nPinMax; NumberPin++) {
    pinMode(NumberPin, INPUT_PULLUP);
  }
  Serial.begin(9600);  // Инициализация последовательного канала
}

void loop() {
  // Сканирование кнопок и воспроизведение звука:
  for (NumberPin=nPinMin; NumberPin<=nPinMax; NumberPin++) {
    if (digitalRead(NumberPin)==LOW) {
      delay(20);
      while (digitalRead(NumberPin)==LOW) {};
      delay(20);
      if (NumberPin!=12) Serial.print(NumberPin-2,DEC);
      else  Serial.println(' ');
      delay(20);
      break;
    }
  }
}
